#
# spec file for package rubygem-nio4r
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-nio4r
Version:        2.1.0
Release:        lp151.2.2
%define mod_name nio4r
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/socketry/nio4r
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-nio4r-rpmlintrc
Source2:        gem2rpm.yml
Summary:        New IO for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Cross-platform asynchronous I/O primitives for scalable network clients and
servers. Inspired by the Java NIO API, but simplified for ease-of-use.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue May 30 2017 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGES.md
  [#]# 2.1.0 (2017-05-28)
  * [#130](https://github.com/socketry/nio4r/pull/130)
    Add -fno-strict-aliasing flag when compiling C ext.
    ([@junaruga])
  * [#146](https://github.com/socketry/nio4r/pull/146)
    Use non-blocking select when a timeout of 0 is given.
    ([@tarcieri])
  * [#147](https://github.com/socketry/nio4r/pull/147)
    Update to libev 4.24.
    ([@tarcieri])
  * [#148](https://github.com/socketry/nio4r/pull/148)
    Switch to the libev 4 API internally.
    ([@tarcieri])
* Thu Dec 29 2016 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGES.md
* Mon Feb  1 2016 coolo@suse.com
- updated to version 1.2.1
  see installed CHANGES.md
  1.2.1 (2016-01-31)
  - -----------------
  * Fix bug in the JRuby backend which cases indefinite blocking when small
    timeout values are passed to the selector
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.2.0
  see installed CHANGES.md
  1.2.0 (2015-12-22)
  - -----------------
  * Add NIO::Monitor#interests= API for changing interests. Contributed by
    @UpeksheJay as a Google Summer of Code project.
  * Update to libev 4.22
* Sat Jul 18 2015 coolo@suse.com
- updated to version 1.1.1
  see installed CHANGES.md
  1.1.1 (2015-07-17)
  - -----------------
  * Update to libev 4.20
  * Fall back to io.h if unistd.h is not found
  * RSpec updates
  * RuboCop
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.0
* Thu Jan 29 2015 tboerger@suse.com
- Ignore devel files as we are doing it everywhere
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Mar 20 2014 tboerger@novell.com
- Intial package of 1.0.0
